﻿using Hotel_Course_Project;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace UnitTestCourseProject
{
    [TestClass]
    public class UnitTest
    {
        [TestMethod]
        public void TestAuthorization()
        {
            AuthorizationWindow authorization = new AuthorizationWindow();
            //Корректные пары логина и пароля
            Assert.IsTrue(authorization.Auth("123", "123"));
            Assert.IsTrue(authorization.Auth("456", "456"));
            //Некорректные пары логина и пароля
            Assert.IsFalse(authorization.Auth("123456", "123546"));
            Assert.IsFalse(authorization.Auth("12334", "541231"));
            Assert.IsFalse(authorization.Auth("Login", "Parol"));
        }

        [TestMethod]
        public void TestAddStaff()
        {
            //Некорректные данные о персонале
            StaffChangeOrAddPage staffChangeOrAdd = new StaffChangeOrAddPage(null);
            string LName = "";
            string Fname = "";
            string Mname = "";
            string Login = "";
            string Password = "";
            Assert.IsFalse(staffChangeOrAdd.TestAddStaff(LName, Fname, Mname, Login, Password, 2));

            staffChangeOrAdd = new StaffChangeOrAddPage(null);
            LName = "";
            Fname = "Иван";
            Mname = "Иванович";
            Login = "123";
            Password = "123";
            Assert.IsFalse(staffChangeOrAdd.TestAddStaff(LName, Fname, Mname, Login, Password, 2));

            staffChangeOrAdd = new StaffChangeOrAddPage(null);
            LName = "Иванов";
            Fname = "";
            Mname = "Иванович";
            Login = "dsa";
            Password = "dsa";
            Assert.IsFalse(staffChangeOrAdd.TestAddStaff(LName, Fname, Mname, Login, Password, 2));

            //Корректные данные о персонале
            staffChangeOrAdd = new StaffChangeOrAddPage(null);
            LName = "Иванов";
            Fname = "Иван";
            Mname = "Иванович";
            Login = "123435267";
            Password = "password";
            Assert.IsTrue(staffChangeOrAdd.TestAddStaff(LName, Fname, Mname, Login, Password, 1));

            staffChangeOrAdd = new StaffChangeOrAddPage(null);
            LName = "Петренко";
            Fname = "Михаил";
            Mname = "Григорьевич";
            Login = "Admin1";
            Password = "Admin";
            Assert.IsTrue(staffChangeOrAdd.TestAddStaff(LName, Fname, Mname, Login, Password, 1));
        }
        [TestMethod]
        public void TestAddClient()
        {
            string Lname, Fname, Mname;
            ClientChangeOrAddPage clientChangeOrAdd = new ClientChangeOrAddPage(null);
            Lname = "Фёдоров";
            Fname = "Пётр";
            Mname = "";
            Assert.IsTrue(clientChangeOrAdd.TestAddClient(Lname, Fname, Mname));
        }

    }
}
